
def zip_longest(*args, fillvalue=()):
    """
    Like zip(), but fills in missing values if the iterables are of uneven length.
    """
    iterators = [iter(arg) for arg in args]
    while True:
        result = []
        for it in iterators:
            try:
                result.append(next(it))
            except StopIteration:
                result.append(fillvalue)
        yield tuple(result)



